# Asterisk Project : Asterisk 12 Application_QueueLog

Added by wikibot , edited by wikibot on Aug 29, 2013

# QueueLog()

### Synopsis

Writes to the queue_log file.

### Description

Allows you to write your own events into the queue log.

Example: QueueLog(101,${UNIQUEID},${AGENT},WENTONBREAK,600)

### Syntax

    QueueLog(queuename,uniqueid,agent,event,additionalinfo)

##### Arguments

- `queuename`
- `uniqueid`
- `agent`
- `event`
- `additionalinfo`

### See Also

- Asterisk 12 Application_Queue
- Asterisk 12 Application_QueueLog
- Asterisk 12 Application_AddQueueMember
- Asterisk 12 Application_RemoveQueueMember
- Asterisk 12 Application_PauseQueueMember
- Asterisk 12 Application_UnpauseQueueMember
- Asterisk 12 Function_QUEUE_VARIABLES
- Asterisk 12 Function_QUEUE_MEMBER
- Asterisk 12 Function_QUEUE_MEMBER_COUNT
- Asterisk 12 Function_QUEUE_EXISTS
- Asterisk 12 Function_QUEUE_WAITING_COUNT
- Asterisk 12 Function_QUEUE_MEMBER_LIST
- Asterisk 12 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version Unknown